function gameinput (sender,obj_id,attachedID)
-----------------------------------------------------------------------------------------------------------------------
  if sender==30 then
    StopEmiter("zvezd");
    ShowMenu(true);
    setcurentleaf("kabinet",4,0);
    CreateWindow(150,250,"203",5,nil,250,30);  
  return;end;
---------------------------------------------------
  if sender==28 then---- объект доехал

      if frame==5 then
        
        clear_satelite_leaf("kabinet");
      return;end;
    if obj_id==1 then
            if skip then
           clear_satelite_leaf("kabinet");
        return;end;
      if frame==0 then
              speciale_action(2,11,true);        
        BlockCursor(false);
        MoveObjectX(2,1024,600,2);   
        MoveObjectX(5,-300,76,2);    
      return;end;  
    return;end;
    if obj_id==5 then
      if frame==0 then
        ScaleObject(5,1,1.1)
        setcolor(2,0.6,0.6,0.6,1); 
      return;end;  
    return;end;
  return;end;  
--------------------------------------------------------
  if sender==29 then -- отработал скейл
     if obj_id==5 then
      if frame==0 then
        setcolor(1101,1,1,1,1,1); 
        speciale_action(2,27);
        -- speciale_action(2,11,true);
        BlockCursor(false);
        Blocking2= false;
      return; end;
     return;end;
  return;end;
      if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
---------------------------------------------------------
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
    if obj_id==11 then
      MoveObjectY(1,-200,-385,2);
      MoveObjectY(12,610,768,2);
      MoveObjectX(2,600,1024,1.5);   
      MoveObjectX(5,76,-350,1.5);
       addfade(-33,0);
        SetAlfa(-33,0,1,2);
      SetAlfa(16,1,0,0.1);
      SetAlfa(27,1,0,0.1);
      SetAlfa(6,1,0,0.1);
      speciale_action(2,11);
      speciale_action(2,1101);
      skip=true;
    return;end;
    
  return;end;
    if sender==6 then
    if not Blocking2 then
        frame=frame+1;
      if frame==1  then 
        ScaleObject(5,1.1,1)
        setcolor(5,0.6,0.6,0.6,1);
        ScaleObject(2,1,1.1)
        setcolor(2,1,1,1,1); 
        speciale_action(2,27);
        speciale_action(2,16);            
        set_text(1101,"257");
      return;end;
      if frame==2 then 
        ScaleObject(2,1.1,1)
        setcolor(2,0.6,0.6,0.6,1);
        ScaleObject(5,1,1.1)
        setcolor(5,1,1,1,1); 
        speciale_action(2,27);
        speciale_action(2,16);
        set_text(1101,"258");   
      return;end;
      if frame==3 then 
        set_text(1101,"259");
      return;end;
      if frame==4 then 
        ScaleObject(5,1.1,1)
        setcolor(5,0.6,0.6,0.6,1);
        ScaleObject(2,1,1.1)
        setcolor(2,1,1,1,1); 
        speciale_action(2,27);
        speciale_action(2,16);
        set_text(1101,"260");  
      return;end;
      if frame==5 then 
         MoveObjectY(1,-200,-385,2);
         MoveObjectY(12,610,768,2);
         speciale_action(2,16);
         speciale_action(2,11);
         speciale_action(2,2);
         speciale_action(2,5);
         setcolor(1101,1,1,1,0,1);  
         SetAlfa(-33,0,1,2.5);
      return; end;      
      return; end;      
  return;end;
    

end
